commit be4d95dbb278e10e5bb70d24bb504c318ef9c368
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Aug 21 02:27:22 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 2ae58562120..baa300c38f9 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,16 @@
+2025-08-20  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-08-20  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/121608
+	* config/avr/specs.h (LINK_RELAX_SPEC): Wrap in %{!r...}.
+
+2025-08-20  Vineet Gupta  <vineetg@rivosinc.com>
+
+	PR target/121534
+	* config/riscv/riscv.md (round_pattern): save/restore fflags.
+
 2025-08-18  Richard Sandiford  <richard.sandiford@arm.com>
 
 	PR target/121118
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 78e84775513..56ada40236d 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250820
+20250821
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 6bc92b62b63..afa7f189c7f 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,9 @@
+2025-08-20  Vineet Gupta  <vineetg@rivosinc.com>
+
+	PR target/121534
+	* gcc.target/riscv/rvv/autovec/vls/math-nearbyint-1.c: Adjust
+	scan pattern for additional instances of frflags/fsrflags.
+
 2025-08-19  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	Backported from master:

